package siprp.database.cayenne.providers;

import org.apache.cayenne.DataObjectUtils;

import siprp.MedicinaConstants;
import siprp.database.cayenne.objects.Empresas;
import siprp.database.cayenne.objects.Image;

public class ImageDAO extends MainDAO implements MedicinaConstants
{

	public Image getImageForEmpresaID( Integer id )
	{
		Image result = null;
		Empresas empresa = (Empresas) DataObjectUtils.objectForPK( context, Empresas.class, id );
		if( empresa != null )
		{
			result = empresa.getToLogotipo();
		}
		return result;
	}

	public void setImageForEmpresaID( Integer id, byte [] imageData )
	{
		Empresas empresa = (Empresas) DataObjectUtils.objectForPK( context, Empresas.class, id );
		if( empresa != null )
		{
			Image logo = null;
			if( imageData != null )
			{
				logo = (Image) context.newObject( Image.class );
				logo.setImageData( imageData );
				logo.setName( "Logotipo: " + empresa.getDesignacaoSocial() );
			}
			empresa.setToLogotipo( logo );
			context.commitChanges();
		}
	}

}
